app.ca.list
The app.ca.list command is used to get a list of Certificate Authority (CA) records.
TR50 Request
{
"cmd": {
"command": "app.ca.list",
"params": {
"offset": 0,
"limit": 10, "sort":"type"
}
}
}
Request Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| offset | Integer | The starting list offset, used for pagination. Defaults to 0 if not specified. | |
| limit | Integer | Limit the number of results returned. The maximum you can set is 2000. Defaults to 2000. | |
| sort | String | A string indicated the direction (+ for ascending, - for descending) and column to sort the results by. To sort by type descending, use "-type". Defaults to "+id". |
TR50 Response
If the command is sent successfully a success message and a list of CAs is returned. Otherwise, an error and error message will be returned.
{
"cmd": {
"success": true,
"params": {
"count": 100,
"result": [
{
"id": "000000000000000000000000",
"orgId": "000000000000000000000000",
"type": "SRA-SERVER",
"validity": 365,
"createdBy": "user@example.com",
"createdOn": "2022-01-01T00:00:00Z",
"updatedBy": "user@example.com",
"updatedOn": "2022-06-01T00:00:00Z"
},
...
]
}
}
}
Response Parameters
| Name | Type | Description |
|---|---|---|
| count | Integer | The total number of CA records. |
| result | Array | The array of CA records. |
Result Array Object
| Name | Type | Description |
|---|---|---|
| id | String | The ID of the CA. |
| orgId | String | The ID of the owning organization. |
| type | String | The type identifier of the CA. |
| validity | Integer | The number of days that the signed certificate will be valid. |
| certificate | String | The base 64 encoded CA certificate. |
| createdBy | String | The creator of the CA. |
| createdOn | String | The creation timestamp of the CA. |
| updatedBy | String | The updater of the CA. |
| updatedOn | String | The update timestamp of the CA. |